Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry Themes & Animated Graphics

Reply
Contributor
Posts: 34
Registered: ‎10-15-2011
My Device: 9900 and PlayBook

Re: Looking Ahead: Theme Studio for OS7 and QNX

Why do you allow downloads of your theme from users using OS7 then? Sounds like a scam, listing incompatable OS's and devices and then blaming RIM and giving unusable advice to victims. You CAN'T downgrade an OS7 device to OS6. There's NO os6 version for the 9900 as far as I know. Heh.
Contributor
Posts: 34
Registered: ‎10-15-2011
My Device: 9900 and PlayBook

Re: Looking Ahead: Theme Studio for OS7 and QNX

I truely wish RIM would add a method to report scams like this within App World. "Here buy our theme! .. Oh .. Yeah, hah, doesn't work on your OS sucker. It's now your responsibility to downgrade to an OS that doesn't exist for your device. Don't like it? Blame RIM"

The only blame that falls on RIM is not being able to report these developers
Contributor
Posts: 18
Registered: ‎01-12-2012
My Device: 9300 3G Curve
My Carrier: T-Mobile

Re: Looking Ahead: Theme Studio for OS7 and QNX

[ Edited ]

Oh goodness! You are making A LOT of assumptions here. 1.) All of my themes are made for Curve 3G. I have a 9300 Curve 3G. At any given moment, I can go into Blackberry Desktop Software and downgrade to OS5. In fact, when I first purchased my device, I downgraded to OS5 b/c at that time, there were no themes in App World for OS6. Therefore, to address your first concern, users of MY themes can downgrade to OS6. Not sure about other devices, which is primarily why I don't develop for those devices. 2.) Since I only create themes for 3G, and 3Gs are made on both OS6 and OS7 depending on model, I cannot control which OS downloads my themes. I would never mislead customers. In fact, ALL of my themes contain a disclaimer in ALL BOLD (as do most OS6 only themes) that "THIS THEME IS NOT COMPATIBLE WITH OS7". When I get desperate OS7 customers who download the theme anyway, and then write asking why they can't find it in the list, that's when I recommend they downgrade to OS6.

 

Would have definitely helped for you to ask a few questions before you launched an attack, nevertheless, hope this explanation calms some of your flagrancy.

Contributor
Posts: 18
Registered: ‎01-12-2012
My Device: 9300 3G Curve
My Carrier: T-Mobile

Re: Looking Ahead: Theme Studio for OS7 and QNX

And in the spirit of making this a constructive thread as the OP intended, I certainly hope you can re-direct some of your frustration to the issue at hand here, which is that, as a developer, you are being expected to generate revenue with inadequate tools.
Contributor
Posts: 34
Registered: ‎10-15-2011
My Device: 9900 and PlayBook

Re: Looking Ahead: Theme Studio for OS7 and QNX

The 9300 has OS7? This is news to me. So the 9300 supports OS5, OS6 AND OS7? .... I know you've explained how the 9300 supports both OS5 and OS6 which is true. What exact model supports OS7 and OS6? Because I know of NO os7 phones that have os6.

The only even remotely OS6 that the 9900 supports is 6.1 which never saw the light of day officially so doesn't come into play in regards to app world.
Contributor
Posts: 18
Registered: ‎01-12-2012
My Device: 9300 3G Curve
My Carrier: T-Mobile

Re: Looking Ahead: Theme Studio for OS7 and QNX

Yes, my dear friend. The 9350, 9360, 9370 and 9380 come with OS7 installed and 9300 and 9330 come with OS6 installed. On the 9300 that I have, I can go into Blackberry Desktop Software and on the upgrade screen, choose a later model operating system to install. Downgrading your OS is not a new development. Google it! (=

And for the sake of information, here's a layout of which devices run on which system:

OS6: BlackBerry Bold 9650/9700/9780, BlackBerry Curve 9300/9330, BlackBerry Pearl 9100, BlackBerry Style 9680, and BlackBerry Torch 9800.

OS7: BlackBerry Bold 9790/9900/9930, BlackBerry Curve 9350/9360/9370/9380, and BlackBerry Torch 9810/9850/9860.

And 7.1 is in beta testing, although, according to RIM, some blackberry users have managed to download this OS to their devices.
Contributor
Posts: 34
Registered: ‎10-15-2011
My Device: 9900 and PlayBook

Re: Looking Ahead: Theme Studio for OS7 and QNX

[ Edited ]

yeah i KNOW the 9300 supports OS6 and os5. what I'm saying to you. is there is NO device that supports OS7 and OS6. None, zero.... You claim there is, which is why you allow OS7 devices to download your themes then instruct users to downgrade there OS.

In order to downgrade the OS there must be a version to downgrade to. You can downgrade your 9300 to OS5 because there's a version of OS5 that exists for it.

So as I asked before. what device supports both OS6 and OS7 to justify allowing OS7 devices to download your themes even though they are not supported?

And OS 7.1 is official now through a few carriers.

Contributor
Posts: 18
Registered: ‎01-12-2012
My Device: 9300 3G Curve
My Carrier: T-Mobile

Re: Looking Ahead: Theme Studio for OS7 and QNX

Duly noted. Until this conversation, I had no idea that the later model Curves did not support OS6. I will definitely contact the few people I've told to downgrade and advise them of this information. As far as devices are concerned, there's still no way for me to control OS7 users download behavior beyond posting that the themes are not compatible with OS7 devices. For the few OS7 users I've had download the themes despite the very clear instruction not to, I've issued a refund So, no harm done there. And in that light, there should be an even greater outcry here in this thread as OS7 users have no options (beyond the sketchy OS7 themes that are out there that cause instability in devices).
Contributor
Posts: 34
Registered: ‎10-15-2011
My Device: 9900 and PlayBook

Re: Looking Ahead: Theme Studio for OS7 and QNX

Also incorrect. You can select what devices your theme/app is compatible with. I'm not a developer so I cannot get more specific about how. But I know for a fact it's do-able, as the "compatible device" list appears on the App World website for each app/theme. And also because a lot of apps/themes i used on my 9780 and 8330 show as "not compatible" and won't allow me to install.

As for a larger outcry? I agree whole heartedly. I adore themes, and have quite a large collection for OS6 :smileysad: Only have the one for OS7.1 and it works fine (no instability/problems)... and a few for the PlayBook. But i really would love for RIM to allow all of these to be done officially and properly.... I feel it's a real slap in the face to both their themer base as well as the consumers. Themers love to theme and make money, customers have proven we love to buy themes (or there'd be no themers making enough money to care about the lack of Theme Builder 7)
Contributor
Posts: 34
Registered: ‎10-15-2011
My Device: 9900 and PlayBook

Re: Looking Ahead: Theme Studio for OS7 and QNX

Also. Sorry for being a **bleep** about all this. Just very few things irk me more as a consumer of apps/themes than buying an app/theme that is incompatable with my device (since there are safeguards in place). Intentional or not, it's a real pain. :smileysad: